/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.SkillAcquisition;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval
 * @alias SkillAcquisitionProgram
 */
public class SkillAcqProgram {
    public void makeSkillAcquisitionProgram() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public Vector mi_compareSkillBeforeAndAfter() {
        return new Vector();
    }

    public Vector mi_assessParticipation() {
        return new Vector();
    }

    public static Vector listSkillAcquisitionPrograms() {
        return new Vector();
    }

    private int interval;
    private int status;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1
     */
    private SkillAcqProgramPartic lnkUnnamed;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 0..*
     */
    private SkillAcqProgramDesc lnkUnnamed1;
}


